cURL
curl --request POST \ --url https://api.atlas.co/functions/v1/ledger-accounts \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "account_number": "<string>", "name": "<string>", "account_type": "asset", "normal_balance": "debit", "description": "<string>", "parent_account_id": "<string>", "customer_id": "<string>", "external_reference": "<string>", "currency": "USD", "metadata": {} } '
{ "id": "<string>", "account_number": "<string>", "name": "<string>", "description": "<string>", "account_type": "asset", "normal_balance": "<string>", "status": "active", "currency": "<string>", "balance": 123, "available_balance": 123, "pending_balance": 123, "balance_updated_at": "2023-11-07T05:31:56Z", "customer_id": "<string>", "external_reference": "<string>", "is_system_account": true, "created_at": "2023-11-07T05:31:56Z", "metadata": {} }
API key (sk_test_* or sk_live_*)
asset
liability
equity
revenue
expense
debit
credit
Account created
active
frozen
closed